# Uses of Class
org.eclipse.ui.ide.undo.ResourceDescription

Packages that use ResourceDescription
Package
Description
org.eclipse.ui.ide.undo
APIs that provide undo and redo behavior for operations that manipulate the workspace.

## Uses of ResourceDescription in org.eclipse.ui.ide.undo

Methods in org.eclipse.ui.ide.undo that return ResourceDescription
Modifier and Type
Method
Description
`static ResourceDescription`
ResourceDescription.`fromResource(IResource resource)`
Deprecated.
Create a resource description given the specified resource.